package org.nextframework.doc.util;

import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

public class IO {

	public static void writeToFile(String fileName, String contents) {
		File file = new File(fileName);
		writeToFile(contents.getBytes(), file);
	}
	
	public static void writeToFile(String fileName, byte[] contents) {
		File file = new File(fileName);
		writeToFile(contents, file);
	}

	private static void writeToFile(byte[] contents, File file) {
		OutputStream outputStream;
		try {
			outputStream = new FileOutputStream(file);
			writeToOutputStream(outputStream, contents);
		} catch (FileNotFoundException e) {
			throw new RuntimeException(e);
		}
	}

	private static void writeToOutputStream(OutputStream outputStream, byte[] contents) {
		BufferedOutputStream out = new BufferedOutputStream(outputStream);
		try {
			out.write(contents);
			out.flush();
			out.close();
		} catch (IOException e) {
			throw new RuntimeException(e);
		}
	}
}
