package org.nextframework.docs.chart.example;

import java.util.List;

import org.nextframework.doc.util.IO;
import org.nextframework.docs.data.NotaFiscal;
import org.nextframework.docs.sumary.example.NotaFiscalSumary;
import org.nextframework.report.sumary.SumaryRow;
import org.nextframework.report.sumary.compilation.SumaryResult;
import org.nextframework.view.chart.Chart;
import org.nextframework.view.chart.ChartDataBuilder;
import org.nextframework.view.chart.ChartType;
import org.nextframework.view.chart.jfree.ChartRendererJFreeChart;

public class ExampleUsageChart3 {

	public static void main(String[] args) {
		List<NotaFiscal> notas = NotaFiscal.getDataSource();
		SumaryResult<NotaFiscal, NotaFiscalSumary> sumaryResult = SumaryResult.createFrom(notas, NotaFiscalSumary.class);
		
		//apenas as informaes da empresa para montar o grfico
		List<SumaryRow<NotaFiscal, NotaFiscalSumary>> itemsEmpresa = sumaryResult.getSumariesForGroup("empresa").getItems();
		
		//grfico simples com dados informados por um sumary
		Chart chart = new Chart(ChartType.PIE);
		chart.setData(ChartDataBuilder.build(itemsEmpresa, "sumary.empresa", null, "sumary.valorEmpresa"));//passamos null na srie pois grficos de PIE s tem uma srie
		
		
		IO.writeToFile("chartValorPorEmpresa.png", ChartRendererJFreeChart.renderAsResource(chart).getContents());
		System.out.println("Grfico salvo chartValorPorEmpresa.png");
		
		
		//grfico de produto por empresa (como a descrio  o menor grupo que se deseja mostrar, filtramos os dados por ele)
		List<SumaryRow<NotaFiscal, NotaFiscalSumary>> itemsDescricao = sumaryResult.getSumariesForGroup("descricao").getItems();
		
		Chart chart2 = new Chart(ChartType.COLUMN);
		chart2.setData(ChartDataBuilder.build(itemsDescricao, "sumary.empresa", "sumary.descricao", "sumary.valor"));
		
		//esse grfico pode parecer meio estranho mas est correto, o que acontece  que um produto s  vendido por uma empresa..
		// se duas empresas vendessem o mesmo produto faria mais sentido
		IO.writeToFile("chartValorPorEmpresaDescricao.png", ChartRendererJFreeChart.renderAsResource(chart2).getContents());
		System.out.println("Grfico salvo chartValorPorEmpresaDescricao.png");
		
		
	}
}
