package org.nextframework.docs.data;

import java.util.Arrays;
import java.util.Date;
import java.util.List;

import org.nextframework.util.DateUtils;

public class NotaFiscal {

	Empresa empresa;
	Date data;
	String descricao;
	Double valor;
	
	public NotaFiscal(Empresa empresaOrigem, Date data, String descricao, Double valor) {
		this.empresa = empresaOrigem;
		this.data = data;
		this.descricao = descricao;
		this.valor = valor;
	}
	
	public Empresa getEmpresa() {
		return empresa;
	}
	public Date getData() {
		return data;
	}
	public String getDescricao() {
		return descricao;
	}
	public Double getValor() {
		return valor;
	}
	public void setEmpresa(Empresa empresaOrigem) {
		this.empresa = empresaOrigem;
	}
	public void setData(Date data) {
		this.data = data;
	}
	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}
	public void setValor(Double valor) {
		this.valor = valor;
	}
	
	@Override
	public String toString() {
		return String.format("NF [empresaOrigem=%s, data=%2$te/%2$tm/%2$tY, descricao=%3$s, valor=R$ %4$,.2f]", empresa, data, descricao, valor);
	}
	
	public static List<NotaFiscal> getDataSource(){
		DateUtils dateUtils = new DateUtils();
		return Arrays.asList(
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("28/01/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("McDonalds"), dateUtils.dmy("27/01/2012"), "Mc Lanche Feliz", 70.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("26/01/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("24/01/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Haagen Dazs"), dateUtils.dmy("23/01/2012"), "Sorvete Chocolate", 75.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("22/01/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("01/02/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("02/02/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("02/02/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("McDonalds"), dateUtils.dmy("27/02/2012"), "Mc Chicken", 70.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("02/02/2012"), "Lote de 2.5Lts", 130.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("03/02/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("04/03/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("McDonalds"), dateUtils.dmy("05/03/2012"), "Mc Lanche Feliz", 50.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("08/03/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("08/03/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("08/03/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Haagen Dazs"), dateUtils.dmy("08/03/2012"), "Sorvete Chocolate", 70.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("08/04/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("08/04/2012"), "Lote de 2.5Lts", 80.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("09/04/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("McDonalds"), dateUtils.dmy("09/04/2012"), "Mc Lanche Feliz", 80.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("10/04/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("10/04/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("10/04/2012"), "Lote de 2.5Lts", 100.00),
				new NotaFiscal(new Empresa("McDonalds"), dateUtils.dmy("01/05/2012"), "Mc Lanche Feliz", 90.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("02/05/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Haagen Dazs"), dateUtils.dmy("08/05/2012"), "Sorvete Chocolate", 70.00),
				new NotaFiscal(new Empresa("Haagen Dazs"), dateUtils.dmy("09/05/2012"), "Sorvete Morango", 80.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("03/05/2012"), "Lote de 2Lts", 100.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("07/05/2012"), "Lote de 2.5Lts", 120.00),
				new NotaFiscal(new Empresa("McDonalds"), dateUtils.dmy("12/06/2012"), "Mc Lanche Feliz", 80.00),
				new NotaFiscal(new Empresa("Coca-Cola"), dateUtils.dmy("12/06/2012"), "Lote de 2Lts", 100.00)
		);
	}
	
}
