package org.nextframework.docs.sumary.example;

import java.util.List;

import org.nextframework.docs.data.NotaFiscal;
import org.nextframework.report.sumary.SumaryRow;
import org.nextframework.report.sumary.compilation.SumaryResult;

public class ExampleUsageSumary {

	public static void main(String[] args) {
		List<NotaFiscal> notas = NotaFiscal.getDataSource();
		SumaryResult<NotaFiscal, NotaFiscalSumary> sumaryResult = SumaryResult.createFrom(notas, NotaFiscalSumary.class);
		
		//pegamos o primeiro item do resultado e exibimos o valor report
		//qualquer item ter o mesmo valor para a varivel valor report
		System.out.println("Soma total dos valores: "+sumaryResult.getFirstItem().getSumary().getValorReport());
		
		//empresas encontradas
		System.out.println("*** Empresas encontradas *** ");
		List<SumaryRow<NotaFiscal, NotaFiscalSumary>> items = sumaryResult.getItems();
		for (SumaryRow<NotaFiscal, NotaFiscalSumary> sumaryRow : items) {
			if(sumaryRow.isGroupChanged("empresa")){ //is group changed permite que se exiba apenas uma linha por grupo (ao invs de cada item do grupo)
				System.out.println(sumaryRow.getSumary().getEmpresa());
			}
		}
		
		//valor por empresa
		System.out.println("*** Valor por empresa ***");
		for (SumaryRow<NotaFiscal, NotaFiscalSumary> sumaryRow : items) {
			if(sumaryRow.isGroupChanged("empresa")){
				System.out.println(sumaryRow.getSumary().getEmpresa()+":"+sumaryRow.getSumary().getValorEmpresa());
			}
		}
		
		//reordenar lista por valor de cada empresa
		System.out.println("*** Valor por empresa ordenado ***");
		sumaryResult.orderBy("sumary.valorEmpresa desc");
		for (SumaryRow<NotaFiscal, NotaFiscalSumary> sumaryRow : items) {
			if(sumaryRow.isGroupChanged("empresa")){
				System.out.println(sumaryRow.getSumary().getEmpresa()+":"+sumaryRow.getSumary().getValorEmpresa());
			}
		}
	}
}
