package org.nextframework.docs.sumary.example;

import org.nextframework.docs.data.NotaFiscal;
import org.nextframework.report.sumary.Sumary;
import org.nextframework.report.sumary.annotations.CalculationType;
import org.nextframework.report.sumary.annotations.Group;
import org.nextframework.report.sumary.annotations.Variable;

public class NotaFiscalSumary extends Sumary<NotaFiscal> {

	@Group(1) //Definido o grupo 1: empresa da nota fiscal. O retorno deve ser algum objeto do tipo Comparable
	public String getEmpresa(){
		return getCurrent().getEmpresa().getNome();
	}
	
	@Group(2)//Definido o grupo 2: descrio da nota fiscal.
	public String getDescricao(){
		return getCurrent().getDescricao();
	}
	
	public Double getValor() {//atalho para retornar o valor da nota fiscal
		return getCurrent().getValor();
	}
	
	@Variable(calculation=CalculationType.SUM, scopeGroup="report") //calculamos o somatrio do valor no escopo report (soma de todos os itens)
	public Double getValorReport(){
		return getValor();
	}
	
	@Variable(calculation=CalculationType.SUM, scopeGroup="empresa") //calculamos o somatrio do valor no escopo do grupo empresa
	public Double getValorEmpresa(){
		return getValor();
	}
	
	@Variable(calculation=CalculationType.SUM, scopeGroup="descricao") //calculamos o somatrio do valor no escopo do grupo descricao
	public Double getValorDescricao(){
		return getValor();
	}

}
